Subject: Re: bug#36170: configure fails on FreeBSD

From: Mark H Weaver <[email-masked]>
Date: Tue, 11 Jun 2019 18:41:09 -0400

Roger Mason <[email-masked]> writes:

> I cloned the git repo yesterday (2019-06-10, most recent commit
> 8d469660525d74734f3184cb9ed01b6f2dcd0445).  I ran autogen.sh in the
> source directory.  I had to comment out the call to m4 --version, which
> failed (I have m4-1.4.18).

That's the latest stable m4 release, and the same version that I have.
It's surprising that "m4 --version" failed.  It makes me wonder if
autogen.sh is using Bash-specific syntax.

Does "bash -x autogen.sh" work, when using the autogen.sh that we
provide?

      Mark